import java.util.*;
public class View {
	private Model model;
	private List controllers = new ArrayList();
	private String estado;
	
	public View (Model m) {
		model = m;
		model.addListener(this);
	}
	public void addListener(Controller c) {
		controllers.add(c);
	}
	public void botaoAcao() {
		System.out.println("Botao Acao foi apertado");
		notificar();
	}
	private void notificar() {
		Iterator it = controllers.iterator();
		while(it.hasNext()) {
			Controller c = (Controller)it.next();
			c.processar();
		}
	}
	public String display() {
		return estado;
	}
	
	public void processar() {
		atualizar();
	}
	private void atualizar() {
		estado = model.getEstado();
	}
}
